package com.chenyang.nse.bussiness.service.core;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreEngineServerInfo;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreServerInfoStatus;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreServerInfoVO;
import com.chenyang.nse.bussiness.entity.orm.table.core.TCoreServiceStatus;
import com.chenyang.nse.bussiness.entity.vo.TCoreServerInfoStatusVo;
import java.util.List;
import java.util.Map;

public interface ServerInfoStatusService {
   void addServerInfoStatus(TCoreServerInfoStatus tCoreServerInfoStatus);

   List<TCoreServerInfoStatus> queryNextPrimaryServer(String prePtid);

   List<TCoreServerInfoStatus> queryPrimaryServer();

   List<TCoreServerInfoStatus> queryAllNoPrimaryServer();

   void updateServerInfoStatus(TCoreServerInfoStatus tCoreServerInfoStatus);

   List<TCoreServerInfoStatus> queryServerByCondition(TCoreServerInfoStatusVo cond);

   List<TCoreServerInfoStatus> queryTask(String servername, PageInfo pageInfo);

   void saveHaServer(Map<String, String> map);

   TCoreServerInfoStatus queryServerByName(String servername);

   TCoreServerInfoStatus queryServerById(String serverid);

   void updateHaServer(Map<String, String> map);

   void updateHaServer(TCoreServerInfoStatus updInfo);

   void setPrimaryServerById(String serverid);

   List<TCoreServerInfoStatus> queryPrimaryServers();

   String createCase(TCoreServiceStatus tcoreServiceStatus, String createUser);

   List<TCoreServiceStatus> findServerCase();

   TCoreServiceStatus findBytid(String id);

   TCoreServerInfoStatus findServerStatusByServerid(String serverId);

   TCoreEngineServerInfo findServerEngineByServerid(String id);

   void del(Map map);

   List<TCoreServerInfoVO> queryAllServer();

   void updateServerInfo(Map<String, String> map, String username);

   void pingIp();
}
